(** Generated by coq-of-ocaml *)
Require Import CoqOfOCaml.CoqOfOCaml.
Require Import CoqOfOCaml.Settings.

Require Import TezosOfOCaml.Proto_demo.Environment.
Import Environment.Notations.
Require TezosOfOCaml.Proto_demo.Seed_repr.
Require TezosOfOCaml.Proto_demo.Storage_description.

Definition t : Set := int32.

Definition roll : Set := t.

Parameter encoding : Data_encoding.t roll.

Parameter rpc_arg : RPC_arg.t roll.

Parameter random : Seed_repr.sequence -> roll -> roll * Seed_repr.sequence.

Parameter first : roll.

Parameter succ : roll -> roll.

Parameter to_int32 : roll -> Int32.t.

Parameter op_eq : roll -> roll -> bool.

Parameter Index : {_ : unit & Storage_description.INDEX.signature (t := roll)}.
